%define nam	sawmill-themes
%define version	0.1

#%define	name2		swmlthms
%define	name2     	%nam
%define	prefix	/usr
%define release	3mdk

Summary:	A collection of themes for the sawmill window manager
Name:		%{name2}
Version: 	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Graphical desktop/Sawmill
URL:		http://www.themes.org
BuildRoot:	/var/tmp/%{nam}-buildroot
Docdir:		%{prefix}/doc
Source:		%{nam}-%{version}.tar.bz2
Source1:	BrushedMetalII.tar.bz2
Source2:	Chromium.tar.bz2
Source3:	CoolClean.tar.bz2
Source4:	SawBox.tar.bz2
Source5:	Smalldome.tar.bz2
Source6:	Step.tar.bz2
Source7:	TigDomeII.tar.bz2
Source8:	blue-steel.tar.bz2
Source9:	brushed-gtk.tar.bz2
Source10:	iron.tar.bz2
Source11:	SawBoxL.tar.bz2
Source12:	HeliX-gray.tar.bz2
Source13:	LockSmith.tar.bz2
Source14:	Alien8.tar.bz2
Source15:	MetalliqueS.tar.bz2 
Source16:	SawTech-Hydro.tar.bz2
Source17:	StyleS.tar.bz2
Source18:	cyrus.tar.bz2
Source19: 	s.t.o.2.tar.bz2
Source20: 	s12.tar.bz2
Source21:	s13.tar.bz2
Source22:	s6.5.tar.bz2
Source23:	sawSlate.tar.bz2
Source24:	shinyblue.tar.bz2


Requires: sawmill >= 0.22

# Red Hat patches
# Helix patches

%description
This is a collection of themes for the Sawmill window manager written
by John Harper  <jsh@users.sourceforge.net>.  They can be found on 
sawmill.themes.org.

%prep -q -n %{nam}-%{version}
echo "	*****     Applying RH patches        *****	"
echo "	*****     Applying Helix patches     *****	"

%build


%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/sawmill/themes/
for tarball in \
	BrushedMetalII.tar.bz2	\
	Chromium.tar.bz2		\
	CoolClean.tar.bz2	\
	SawBox.tar.bz2		\
	Smalldome.tar.bz2	\
	Step.tar.bz2		\
	TigDomeII.tar.bz2	\
	blue-steel.tar.bz2	\
	brushed-gtk.tar.bz2	\
	SawBoxL.tar.bz2		\
	LockSmith.tar.bz2	\
	HeliX-gray.tar.bz2	\
	Alien8.tar.bz2		\
	MetalliqueS.tar.bz2	\
	SawTech-Hydro.tar.bz2	\
	StyleS.tar.bz2		\
	cyrus.tar.bz2		\
	s.t.o.2.tar.bz2		\
	s12.tar.bz2			\
	s13.tar.bz2			\
	s6.5.tar.bz2		\
	sawSlate.tar.bz2	\
	shinyblue.tar.bz2	\
	iron.tar.bz2; do
	cp $RPM_SOURCE_DIR/$tarball $RPM_BUILD_ROOT%{prefix}/share/sawmill/themes/
done;
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{prefix}/share/sawmill/themes/*

%changelog
* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-3mdk
- merge themes from Vincent Danen <vdanen@linux-mandrake.com>

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1-2mdk
- fix group.

* Tue Mar 28 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1-1mdk
- Use the helixcode package for gnome.
- Mandrakized.

